/* ==========================================================
   PLATTINO HUB
   PHASE 2
========================================================== */

:root{

    --gold:#D08C2C;
    --white:#ffffff;
    --dark:rgba(0,0,0,.28);

}

*{

    margin:0;
    padding:0;
    box-sizing:border-box;

}

html,
body{

    width:100%;
    height:100%;

    overflow:hidden;

    font-family:'Poppins',sans-serif;

    background:#000;

}

/*==================================================
PRELOADER
==================================================*/

#preloader{

    position:fixed;

    inset:0;

    background:#0d0d0d;

    display:flex;

    justify-content:center;

    align-items:center;

    z-index:99999;

    transition:

        opacity .8s ease,

        visibility .8s ease;

}

.loader-content{

    display:flex;

    flex-direction:column;

    align-items:center;

    gap:35px;

}

.loader-content img{

    width:150px;

    opacity:0;

    animation:

        logoReveal 1s ease forwards;

}

.loading-line{

    width:220px;

    height:3px;

    background:rgba(255,255,255,.08);

    overflow:hidden;

    border-radius:50px;

}

.loading-line span{

    display:block;

    width:100%;

    height:100%;

    background:

    linear-gradient(

        90deg,

        #C98020,

        #F6C45C,

        #FFD978

    );

    transform:scaleX(0);

    transform-origin:left;

    animation:

        loadingBar 2s ease forwards;

}

@keyframes logoReveal{

from{

opacity:0;

transform:translateY(12px);

}

to{

opacity:1;

transform:translateY(0);

}

}

@keyframes loadingBar{

from{

transform:scaleX(0);

}

to{

transform:scaleX(1);

}

}

#preloader.hide{

    opacity:0;

    visibility:hidden;

    pointer-events:none;

}

/* ==========================================================
   HERO
========================================================== */

.hero{

    position:relative;

    width:100%;

    height:100vh;

    overflow:hidden;

    opacity:0;

    animation:

    heroReveal 1.5s cubic-bezier(.22,.61,.36,1) forwards;

    animation-delay:1.6s;

}


@keyframes heroReveal{

from{

opacity:0;

transform:scale(1.03);

}

to{

opacity:1;

transform:scale(1);

}

}
/* ==========================================================
   HEADER
========================================================== */

header{

    position:absolute;

    top:0;

    left:0;

    width:100%;

    padding:30px 60px;

    display:flex;

    justify-content:space-between;

    align-items:center;

    z-index:100;

    background:

    linear-gradient(

        180deg,

        rgba(0,0,0,.40),

        rgba(0,0,0,.15),

        rgba(0,0,0,0)

    );

    opacity:0;

    animation:headerReveal .9s ease forwards;

    animation-delay:1.9s;

}


@keyframes headerReveal{

from{

opacity:0;

transform:translateY(-20px);

}

to{

opacity:1;

transform:translateY(0);

}

}

/* ==========================================================
   LOGO
========================================================== */

/* .logo img{

    height:68px;

    user-select:none;

} */

.logo img{

    transition:.5s ease;

}

.logo img:hover{

    transform:scale(1.03);

}

/* ==========================================================
   SOCIAL
========================================================== */

.social-dock{

    display:flex;

    align-items:center;

    gap:12px;

    padding:10px 18px;

    border-radius:60px;

    background:rgba(255,255,255,.07);

    border:1px solid rgba(255,255,255,.18);

    backdrop-filter:blur(14px);

    -webkit-backdrop-filter:blur(18px);

    box-shadow:

        0 10px 30px rgba(0,0,0,.18),

        inset 0 1px 0 rgba(255,255,255,.12);

}

.social-dock a{

    width:42px;

    height:42px;

    display:flex;

    align-items:center;

    justify-content:center;

    color:white;

    text-decoration:none;

    font-size:20px;

    border-radius:50%;

    transition:

        .35s ease;

}

.social-dock a:hover{

    background:rgba(208,140,44,.15);

    color:#D08C2C;

    /* transform:translateY(-2px) scale(1.08); */

    box-shadow:

        0 8px 24px rgba(208,140,44,.22);

        transform:

        translateY(-2px)

        scale(1.08);

}
/* ==========================================================
   CAROUSEL
========================================================== */

.carousel,
.carousel-inner,
.carousel-item{

    width:100%;
    height:100%;
    transition:

        opacity 1.4s ease-in-out !important;

}

/* ==========================================================
   SLIDE
========================================================== */

.slide{

    position:relative;

    width:100%;
    height:100%;

    overflow:hidden;

    background-size:cover;

    background-position:center;

    background-repeat:no-repeat;

}



/* =========================================
   DESKTOP BANNERS
========================================= */

.banner1{
    background-image:url("../assets/banner1.png");
}

.banner2{
    background-image:url("../assets/banner2.png");
}

.banner3{
    background-image:url("../assets/banner3.png");
}

/* =========================================
   MOBILE & TABLET
========================================= */

@media (max-width:991.98px){

    .banner1{
        background-image:url("../assets/mbanner1.png");
    }

    .banner2{
        background-image:url("../assets/mbanner2.png");
    }

    .banner3{
        background-image:url("../assets/mbanner3.png");
    }

}

/* ==========================================================
   OVERLAY
========================================================== */

.slide::after{

    content:"";

    position:absolute;

    inset:0;

    background:

    linear-gradient(

        90deg,

        rgba(15,10,5,.30),

        rgba(25,16,8,.05),

        rgba(0,0,0,.18)

    );

    pointer-events:none;

}

/* ==========================================================
   KEN BURNS
========================================================== */

.carousel-item.active .slide{

    animation:

        zoom 8s cubic-bezier(.22,.61,.36,1) forwards,

        fadeInSlide .8s ease;

}

@keyframes zoom{

    from{

        transform:scale(1);

    }

    to{

        transform:scale(1.05);

    }

}

@keyframes fadeInSlide{

    from{

        opacity:.85;

    }

    to{

        opacity:1;

    }

}

/* ==========================================================
   HIDE BOOTSTRAP
========================================================== */

.carousel-control-prev,
.carousel-control-next,

.carousel-indicators{

    display:none;

}

/* ==========================================================
   CUSTOM PROGRESS
========================================================== */

.slider-progress{

    position:absolute;

    left:60px;

    bottom:45px;

    display:flex;

    gap:18px;

    z-index:150;

}

.progress-item{

    width:70px;

    height:5px;

    background:rgba(255,255,255,.18);

    border-radius:999px;

    overflow:hidden;

    position:relative;

}



.progress-item::before{

    content:"";

    position:absolute;

    inset:0;

    background:linear-gradient(
        90deg,
        #C98020,
        #F6C45C,
        #FFD978
    );

    transform:scaleX(0);

    transform-origin:left;

}


.progress-item.active::before{

    animation:progressFill 8s linear forwards;

}

@keyframes progressFill{

    from{

        transform:scaleX(0);

    }

    to{

        transform:scaleX(1);

    }

}

/* ==========================================================
   CURSOR
========================================================== */

.slide{

    cursor:default;

}

/* ==========================================================
   RESPONSIVE
========================================================== */

@media(max-width:992px){

    header{

        padding:22px 30px;

    }

    .logo img{

        height:55px;

    }

    nav{

        gap:20px;

    }

    nav a{

        font-size:20px;

    }

    .slider-progress{

        left:30px;

        bottom:30px;

    }

}

@media(max-width:768px){

    header{

        padding:18px 20px;

    }

    .logo img{

        height:45px;

    }

    nav{

        gap:16px;

    }

    nav a{

        font-size:18px;

    }

    .progress-item{

        width:50px;

    }

    .slider-progress{

        left:20px;

        bottom:20px;

    }

}

@media(max-width:576px){

    .logo img{

        height:38px;

    }

    nav{

        gap:12px;

    }

    nav a{

        font-size:16px;

    }

    .progress-item{

        width:35px;

    }

}

.social-dock{

    transition:

        background .4s,

        border-color .4s,

        box-shadow .4s;

}

/*==================================================
FILM GRAIN
==================================================*/

/* .film-grain{

    position:absolute;

    inset:0;

    pointer-events:none;

    z-index:90;

    opacity:.025;

    background-image:url("assets/noise.png");

    background-repeat:repeat;

    animation:grain 8s steps(8) infinite;

} */

@keyframes grain{

    0%   { transform:translate(0,0); }

    25%  { transform:translate(-10px,5px); }

    50%  { transform:translate(8px,-8px); }

    75%  { transform:translate(-5px,10px); }

    100% { transform:translate(0,0); }

}